/*  PIMenu_Macify 														 Initialize the menu bar */

/* Unit name:  PIMenu_Macify.c   */
/* Function:  This module loads in the menu lists and places them */
/*      into the menubar. */
/* History: 3/15/91 Original by Prototyper 3.0   */


#include "PCommonMacify.h"	/* Common */
#include "Common_Macify.h"	/* Common */
#include "PUtils_Macify.h"	/* General Utilities */
#include "Utils_Macify.h"	/* General Utilities */

#include "InitMenuMacify.h"	/* Extra menu init */

#include "PIMenu_Macify.h"	/* This file*/


/* ======================================================= */

/* Routine: Init_My_Menus */
/* Purpose: Load in the menu lists and initialize the menubar */

void Init_My_Menus()
{



ClearMenuBar();     														/* Clear any old menu bars */

/*  This menu is the APPLE menu, used for About and desk accessories. */
Menu_Apple = GetMenu(Res_Menu_Apple); 							/* Get the menu from the resource file */
InsertMenu (Menu_Apple,0);  											/* Insert this menu into the menu bar */
AddResMenu(Menu_Apple,'DRVR');   									/* Add in DAs */

Menu_File = GetMenu(Res_Menu_File);  								/* Get the menu from the resource file */
InsertMenu (Menu_File,0);     											/* Insert this menu into the menu bar */

Menu_Edit = GetMenu(Res_Menu_Edit);  								/* Get the menu from the resource file */
InsertMenu (Menu_Edit,0);     											/* Insert this menu into the menu bar */


AddExtraMenus();   														/* Add any extra menu lists */

DrawMenuBar();     														/* Draw the menu bar */

}    																			/* End of procedure Init_My_Menus */

