/*   InitExitMacify  														Program Init and Exit routines 

File name:  InitExitMacify.c  
Function:  This module contains the extra program initialization
     routine as well as the program exit and cleanup routine.
/* History: 3/15/91 Original by Prototyper 3.0   */


#include "PCommonMacify.h"	/* Common */
#include "Common_Macify.h"	/* Common */
#include "PUtils_Macify.h"	/* General Utilities */
#include "Utils_Macify.h"	/* General Utilities */

#include "InitExitMacify.h"	/* This file */


/* ======================================================= */

/* Routine: ApplInit_Macify */
/* Purpose: Extra program initialization. */
/* 	WNE: boolean, This variable set to TRUE says the WaitNextEvent trap is available,  */
/* 		If we want to use that trap then we do nothing to this variable.  If we do not  */
/* 		want to use that trap, and use GetNextEvent instead, then we change this  */
/* 		variable to FALSE.  */
/* 	SleepValue:integer, This is only valid if WNE is true.  This is the default sleep  */
/* 		value to use with WaitNextEvent, it is set to 40.  This can be changed to any  */
/* 		value desired at any time.  */

void ApplInit_Macify() 													/* Initialization */
{

}

/* ======================================================= */

/* Routine: ApplExit_Macify */
/* Purpose: Extra program cleanup upon exit from our program. */
/* 	This is where left over buffers are released and any open files are closed. */

void ApplExit_Macify()     												/* Exit and cleanup */
{

}

/* ======================================================= */

